# Import Social Events

> Import Facebook events into your WordPress website and/or Event Calendar. Nice Display with shortcode & Event widget.

[![Release Version](https://img.shields.io/github/v/release/xylusthemes/import-facebook-events.svg)](https://github.com/xylusthemes/import-facebook-events/releases/latest)
![WordPress tested up to version](https://img.shields.io/badge/WordPress-v5.8%20tested-success.svg)
[![GPLv2.0 License](https://img.shields.io/github/license/xylusthemes/import-facebook-events.svg)](https://github.com/xylusthemes/import-facebook-events/blob/master/LICENSE.txt)

* Check out the [Import Social Events Docs](https://docs.xylusthemes.com/docs/import-facebook-events/)

## Overview

### NOTICE:
>**You need below things to work Facebook Event Importing using API.**
>
>* Facebook app ([Here](http://docs.xylusthemes.com/docs/import-facebook-events/creating-facebook-application/) is how to create FB app)
>* Your site need to HTTPS (SSL certificate)
>* You need to mark events as interested or going on facebook to get imported

### Import Facebook Events into WordPress :

Import Social Events allows you to import Facebook events into your WordPress site automatically. Automate your Event Marketing using Import Social Events plug-in. Import Events from Facebook Page, Facebook Event and all your events marked as Interested/Going.

You can schedule event import so it will be imported/synchronized automatically [Pro]

Using This plugin you can import facebook event into below listed leading Event Management Plug-ins, which allows you to run imports from facebook right from your dashboard.  Import Facebook Events bridges the gap between your website and your Facebook events making event management easier and it is one of the leading facebook events importers.

### Import Facebook Events into

* [The Events Calendar](https://wordpress.org/plugins/the-events-calendar/)
* [Events manager](https://wordpress.org/plugins/events-manager/)
* [All-in-One Event Calendar](https://wordpress.org/plugins/all-in-one-event-calendar/)
* [Event Organiser](https://wordpress.org/plugins/event-organiser/)
* [EventON](https://codecanyon.net/item/eventon-wordpress-event-calendar-plugin/1211017)
* [My Calendar](https://wordpress.org/plugins/my-calendar/)
* [Event Espresso 4 (EE4)](https://wordpress.org/plugins/event-espresso-decaf/)
* In-built Events

You can use `[facebook_events]` for display in-built facebook events list.

<strong>Full short-code example:</strong> 
`[facebook_events col="2" posts_per_page="12" category="cat1,cat2" past_events="yes" order="desc" orderby="post_title" start_date="2017-12-25" end_date="2018-12-25" ]`

**Additional [PRO Add-on](https://xylusthemes.com/plugins/import-facebook-events/?utm_source=githubrepo&utm_campaign=FacebookEvents&utm_medium=readme&utm_content=githubrepo-readme) Features**

* Scheduled import events.
* Import events from the facebook page 
* Import events from the facebook group
* Import events from Facebook Event
* Import My Events will import all events you marked as Interested/Going 
* Sync events with facebook automatically
* Import multiple events easily
* Show events from facebook page into WordPress
* Upcoming Events widget
* Works with WPBackery Page Builder. Support for more page builders is on the way :)

>***New All in one Event Import Tool!***
>We’ve developed bulk event imports tool. This add-on service for The Events Calendar allows you import events from your favorite sources like Facebook, Meetup, Eventbrite, iCalendar, and ICS.
>
>[Check out WP Event Aggregator now](https://wordpress.org/plugins/wp-event-aggregator/).
>

 
### Our Plugins for importing events!

* [WP Event Aggregator](https://wordpress.org/plugins/wp-event-aggregator/)
* [Import Meetup Events](https://wordpress.org/plugins/import-meetup-events/)
* [Import Eventbrite Events](https://wordpress.org/plugins/import-eventbrite-events/)

## Changelog

A complete listing of all notable changes to "Import Social Events" are documented in [CHANGELOG.md](https://github.com/xylusthemes/import-facebook-events/blob/develop/CHANGELOG.md).
